Subject: Re: bug#24892: {s, }brk removed from FreeBSD 11.x and later, arm64 architecture

From: Paul Eggert <[email-masked]>
Date: Wed, 9 Nov 2016 09:52:06 -0800

On 11/09/2016 01:46 AM, Andreas Schwab wrote:
>> If so, what is the difference in value there between sbrk (0) and ((byte
>> >*) old_bss_addr + old_bss_size), in the region of unexelf.c that computes
>> >one or the other?
> The former includes the heap.

Yes, and I'm curious about what the difference actually is, so that we 
can figure out how to compute it ourselves now that sbrk has been 
withdrawn. On FreeBSD 11.0 x86-64 (which still has sbrk) the difference 
is 0 for Emacs master, but on AMD apparently the value is something 
other than 0.